# Hall-Switch

[![Build Status](https://travis-ci.com/Infineon/hall-switch.svg?branch=master)](https://travis-ci.com/Infineon/hall-switch)

C++ library of Infineon **single hall-effect switch** family for magnetic sensing applications.

### Supported Sensor Boards
<table>
    <tr>
        <td align="center"><img src="https://github.com/infineon/hall-switch/wiki/img/tle4964-pcb-front-small.jpg" width=200></td>
        <td align="center"><img  src="https://github.com/infineon/hall-switch/wiki/img/speed-2go-kit.png" width=200></td>
        <td align="center"><img src="https://github.com/infineon/hall-switch/wiki/img/tle496x-xm-sot23.png" width=200></td>
    </tr>
    <tr>
        <td style="text-align: center"><a href="https://github.com/Infineon/hall-switch/wiki/Hardware-Platforms#tle4964-3m-shield-2go">TLE4964-3M Shield 2GO</a></td>
        <td style="text-align: center"><a href="https://github.com/Infineon/hall-switch/wiki/Hardware-Platforms#tle4922-speed-sensor-kit-2go">TLE4922 Speed 2GO Kit</a></td>
        <td style="text-align: center"><a href="https://github.com/Infineon/hall-switch/wiki/Hardware-Platforms#other-hall-sensors">Other Hall Sensors</a></td>
    </tr>
</table>

### Supported Frameworks

<table>
    <tr>
        <td><img src="https://github.com/infineon/hall-switch/wiki/img/arduino-logo.png" width=200></td>
        <td><img src="https://github.com/infineon/hall-switch/wiki/img/wiced-logo.png" width=200></td>
        <td><img src="https://github.com/infineon/hall-switch/wiki/img/rpi-logo.png" width=200></td>
    </tr>
    <tr>
        <td style="text-align: center"><a href="https://github.com/Infineon/hall-switch/wiki/Arduino-API">Arduino API</a></td>
        <td style="text-align: center"><a href="https://github.com/Infineon/hall-switch/wiki/WICED-API">WICED API</a></td>
        <td style="text-align: center"><a href="https://github.com/Infineon/hall-switch/wiki/RPi-API">RPi API</a></td>
    </tr>
    <tr>
        <td style="text-align: center"><a href="https://github.com/Infineon/hall-switch/wiki/Ino-Getting-Started">Getting Started</a></td>
        <td style="text-align: center"><a href="https://github.com/Infineon/hall-switch/wiki/CW-Getting-Started">Getting Started</a></td>
        <td style="text-align: center"><a href="https://github.com/Infineon/hall-switch/wiki/RPi-Getting-Started">Getting Started</a></td>
    </tr>
</table>

<table>
    <tr>
       <td><img src="https://github.com/infineon/hall-switch/wiki/img/cross-platform.png" width=200></td>
    </tr>
    <tr>
        <td style="text-align: center"><a href="https://github.com/Infineon/hall-switch/wiki/Hall-Switch-API">Hall Switch API</a><br><a href="https://github.com/Infineon/hall-switch/wiki/Hall-Speed-API">Hall Speed API</a></td>
    </tr>
    <tr>
        <td style="text-align: center"><a href="https://github.com/Infineon/hall-switch/wiki/Porting-Guide">Porting Guide</a></td>
    </tr>
</table>

### More information

The complete library and project documentation can be found in the **[Wiki](https://github.com/infineon/hall-switch/wiki/Home)**. 
  
### License

This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.


